#if v2_49_0
using Adaptation.Shared;
using Adaptation.Shared.Methods;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using System.Diagnostics;
using System.Reflection;

namespace Adaptation._Tests.Extract.Staging.v2_49_0;

[TestClass]
public class CDE6
{

#pragma warning disable CA2254
#pragma warning disable IDE0060

    private static CreateSelfDescription.Staging.v2_49_0.CDE6 _CDE6;

    [ClassInitialize]
    public static void ClassInitialize(TestContext testContext)
    {
        CreateSelfDescription.Staging.v2_49_0.CDE6.ClassInitialize(testContext);
        _CDE6 = CreateSelfDescription.Staging.v2_49_0.CDE6.EAFLoggingUnitTesting;
    }

#if DEBUG
    [Ignore]
#endif
    [TestMethod]
    public void Staging__v2_49_0__CDE6__RsM() => _CDE6.Staging__v2_49_0__CDE6__RsM();

#if DEBUG
    [Ignore]
#endif
    [TestMethod]
    public void Staging__v2_49_0__CDE6__RsM638065099250000000__Normal()
    {
        DateTime dateTime;
        string check = "*.RsM";
        bool validatePDSF = false;
        _CDE6.Staging__v2_49_0__CDE6__RsM();
        MethodBase methodBase = new StackFrame().GetMethod();
        Assert.IsFalse(string.IsNullOrEmpty(_CDE6.AdaptationTesting.TestContext.FullyQualifiedTestClassName));
        string[] variables = _CDE6.AdaptationTesting.GetVariables(methodBase, check, validatePDSF);
        IFileRead fileRead = _CDE6.AdaptationTesting.Get(methodBase, sourceFileLocation: variables[2], sourceFileFilter: variables[3], useCyclicalForDescription: false);
        Logistics logistics = new(fileRead);
        _ = Shared.AdaptationTesting.ReExtractCompareUpdatePassDirectory(variables, fileRead, logistics, validatePDSF);
        dateTime = FileHandlers.RsM.ProcessData.GetDateTime(logistics, string.Empty);
        Assert.IsTrue(dateTime == logistics.DateTimeFromSequence);
        dateTime = FileHandlers.RsM.ProcessData.GetDateTime(logistics, "00:13 09/27/38");
        Assert.IsTrue(dateTime == logistics.DateTimeFromSequence);
    }

}
#endif